.pf1.sheet.actor {
  min-width: 672px;
  min-height: 736px;

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .charactermancer {
    &.warning {
      flex: 0;
      background-color: var(--pf1-warning-bg);
      border: 1px solid var(--pf1-warning-border);
      border-radius: 2px;
      padding: 0.2em 0.5em;
    }
  }

  .tab {
    footer {
      flex: 0;
    }

    /* ----------------------------------------- */
    /*  Summary Tab                              */
    /* ----------------------------------------- */

    &.summary {
      .summary-header {
        display: flex;
        flex-flow: row nowrap;

        flex: 0;
        border-bottom: var(--pf1-border-groove);

        display: flex;
        flex-flow: row nowrap;
        gap: 2px;

        .basic-info {
          flex: 4;
        }

        .name-xp {
          flex: 0;
          gap: 3px;

          > div {
            &.hd-level {
              flex: 2 0 200px;
            }
          }

          h1.char-name {
            flex: 3 0 300px;
            line-height: 1.5em;
            margin: 0;
            input {
              height: 100%;
              padding: 0;
            }
          }
        }

        .character-summary {
          flex: 0;

          & > div {
            flex: 0 0 33%;
            //height: 32px;
            line-height: 2;
            border-right: var(--pf1-border-groove);
            border-bottom: var(--pf1-border-groove);
            align-content: center;

            &:nth-child(3n + 0) {
              border-right: none;
            }

            &.alignment {
              padding: 1px 3px;
            }
          }
        }
      }

      .pseudo-table {
        background: var(--pf1-bg-dark-0);
        border-top: 1px solid #7a7971;
        border-bottom: 1px solid #7a7971;

        ul {
          margin: 0;
          padding: 0;
        }

        .header,
        .sub-header {
          margin: 0;
          color: #f0f0e0;
          text-shadow: 1px 1px #000;
        }
        .header,
        .sub-header,
        .value {
          width: 100%;
          text-align: center;
          line-height: 1.5;
          flex: 0;
        }
        .value {
          flex: 1;
          line-height: 2;
          padding: 0;
          margin: 0;
        }
        .header {
          font-weight: bold;
          background: var(--pf1-bg-dark-4);
        }
        .sub-header {
          background: var(--pf1-bg-dark-3);
        }
      }

      .attributes > .attribute {
        margin: 0;
        border-left: none;
        border-bottom: none;
        border-top: var(--pf1-border-groove);
        border-right: var(--pf1-border-groove);
        border-radius: 0;
        height: auto;
      }

      img.profile {
        flex: 0 0 160px;
        width: 160px;
        height: 160px;
        padding: 0 3px;
        object-fit: contain;
        border: none;
        border-right: var(--pf1-border-groove);
      }

      .misc-header-items {
        flex: 0.5;

        .actor-quick-actions {
          display: flex;
          justify-content: space-evenly;
          flex-flow: row wrap;

          button {
            min-height: 24px;
            line-height: 1.5;
          }
        }
      }

      .attributes {
        display: flex;
        flex-flow: row;
        gap: 3px;

        flex: 0;

        .wounds-vigor {
          display: flex;
          flex-flow: row;
          gap: 3px;
        }

        .health-details {
          flex: 4;

          .wounds {
            flex: 2;
          }
          .vigor {
            flex: 3;
          }
          .speed-details {
            flex: 3.5;
          }
        }

        .speed-details {
          flex: 5;

          .fly-details {
            flex: 3;

            .maneuverability-details {
              flex: 2;
            }
          }
        }

        .health-details {
          &.wounds-vigor {
            flex: 5;
          }
        }

        li {
          padding: 0;
          border-top: var(--pf1-border-groove);

          &:not(:last-child) {
            border-right: var(--pf1-border-groove);
          }
        }
      }

      .subdetails-body {
        .quick-info {
          h3 {
            // Override Foundry bottom margin (0.5rem)
            margin-bottom: 0.2rem;
          }
        }
      }

      .quick-info {
        .generic-defenses {
          h3 {
            margin: 0;
            border: unset;
          }
        }
      }

      // Note: Only used by alignment selection
      .controls {
        .control {
          flex: 0;
          visibility: hidden;
          margin-right: 4px;
        }

        &:hover {
          .control {
            visibility: visible;
          }
        }
      }
    }

    .alignment {
      color: black;
    }

    /* ----------------------------------------- */
    /*  General Styles                           */
    /* ----------------------------------------- */

    // Box Headers
    h4.box-title {
      line-height: 16px;
      margin: 4px 8px 2px;
      font-size: var(--font-size-20);
      border-bottom: 1px solid var(--color-border-light-secondary);
    }

    /* ----------------------------------------- */
    /*  Attributes                               */
    /* ----------------------------------------- */

    &.attributes {
      .traits {
        overflow: hidden auto;
        .scrollbar();

        > * {
          flex: 0 0 24px;

          .itemBackground();
        }
      }

      table {
        margin: 0;
      }
    }

    ul.attributes.misc-base,
    ul.attributes.misc-defenses {
      .attribute-footer input {
        width: 100%;
      }
    }

    .attributes-root {
      flex: 0 0 30%;
    }

    ul.attributes {
      list-style: none;
      margin: 0;
      padding: 0;
      flex: 0;

      h3 {
        margin: 0;
      }

      table {
        span.text-box,
        input[type="text"] {
          height: 20px;
          padding: 1px 3px;
        }
      }
    }

    /* ----------------------------------------- */
    /*  Defenses                                 */
    /* ----------------------------------------- */

    .defenses {
      .attributes {
        flex: 0;
      }

      .attribute .attribute-footer input {
        width: 32px;
      }
    }

    /* ----------------------------------------- */
    /*  Ability Scores                           */
    /* ----------------------------------------- */

    &.attributes {
      .ability-scores {
        flex: 0;
        display: flex;
        flex-flow: column nowrap;
        gap: 2px;
      }
    }

    .bottom {
      overflow-y: auto;
      .scrollbar();
    }

    /* ----------------------------------------- */
    /*  Buffs & Conditions                       */
    /* ----------------------------------------- */

    .condition {
      flex: 0;
      margin: 2px;
      flex-basis: calc(20% - 4px);

      display: flex;
      align-items: center;

      > a {
        font-size: var(--font-size-12);
        flex: 1;
      }

      > .compendium-entry {
        display: none;
        flex: 0;
      }

      &:hover {
        > .compendium-entry {
          display: inline;
        }
      }
    }

    /* ----------------------------------------- */
    /*  Traits                                   */
    /* ----------------------------------------- */

    .traits {
      overflow-x: hidden;
      overflow-y: hidden;
      margin: 0 5px;

      .form-group,
      .form-group-stacked {
        margin: 0;
        justify-content: space-between;
      }

      .trait-selector,
      .senses-selector,
      .resistance-selector {
        flex: 0 0 16px;
        padding: 2px 0;
        color: var(--pf1-control-color);
        font-size: var(--font-size-14);
      }

      .configure-flags {
        flex: 1;
      }

      .checkbox {
        text-align: right;
        justify-content: end;
      }

      .traits-list {
        list-style: none;
        margin: 0;
        padding: 0;
        text-align: right;
        justify-content: end;
        align-items: center;
      }

      select {
        flex: 0 0 180px;
      }

      label {
        flex: 0 0 150px;
        line-height: 20px;
        font-weight: bold;
        margin: 0;
        text-align: right;
      }

      input {
        text-align: right;
      }

      i.fas {
        margin-right: 3px;
        text-align: right;

        &:hover {
          text-shadow: 0 0 10px red;
        }
      }

      .inactive {
        color: var(--pf1-tan);
      }
    }

    /* ----------------------------------------- */
    /*  Inventory Lists                          */
    /* ----------------------------------------- */

    /* Encumbrance Bar */
    .encumbrance {
      height: 12px;
      background: var(--pf1-tan);
      margin: 1px 15px 0 1px;
      border: 1px solid var(--color-border-dark-2);
      border-radius: 3px;
      position: relative;

      .encumbrance-bar {
        position: absolute;
        top: 1px;
        left: 1px;
        background: #6c8aa5;
        height: 8px;
        border: 1px solid #cde4ff;
        border-radius: 2px;
      }

      .encumbrance-label {
        height: 10px;
        padding: 0 5px;
        position: absolute;
        top: 0;
        right: 0;
        font-size: var(--font-size-12);
        line-height: 1;
        text-align: right;
        color: #eee;
        text-shadow: 0 0 5px #000;
      }

      &.encumbered {
        .encumbrance-bar {
          background: #a80d0d;
          border-color: #e14949;
        }
      }

      .encumbrance-breakpoint {
        position: absolute;
        left: 66%;
      }

      .arrow-up {
        bottom: 0;
        width: 0;
        height: 0;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        border-bottom: 4px solid var(--color-border-dark-5);
      }

      .arrow-down {
        top: 0;
        width: 0;
        height: 0;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        border-top: 4px solid var(--color-border-dark-5);
      }

      &.encumbered {
        .arrow-up {
          border-bottom: 4px solid #000;
        }
        .arrow-down {
          border-top: 4px solid #000;
        }
      }
    }

    footer {
      .tag {
        flex: 0 1 auto;
      }
    }

    label.checkbox {
      flex: 1;
      text-align: left;
    }

    &.buffs {
      .condition {
        border: 1px transparent;
        border-radius: 10px;

        a.checkbox {
          display: flex;
          flex-flow: row nowrap;
          gap: 4px;

          align-items: center;
          color: var(--color-text-dark-primary);

          > img {
            border: none;
            filter: invert(88%) sepia(11%) saturate(158%) hue-rotate(13deg) brightness(98%) contrast(93%);
          }

          > .details {
            display: flex;
            flex-flow: row wrap;

            > .sources {
              text-shadow: none;
              font-weight: normal;
              font-size: var(--font-size-11);

              &::before {
                content: "(";
              }
              &::after {
                content: ")";
              }
            }
          }

          .name {
            flex: 1 100%;
          }
        }

        &:hover {
          background-color: rgba(0, 0, 0, 0.05);
        }

        &.active {
          font-weight: 600;
          background-color: rgba(0, 0, 0, 0.1);
          text-shadow: 0 0 8px red;

          &:hover {
            background-color: rgba(0, 0, 0, 0.15);
          }
        }

        &.active a.checkbox > img {
          filter: unset;
        }
      }
    }

    .buffs-conditions {
      flex: 0;
    }

    .inventory-group {
      height: 100%;
      overflow: hidden;
    }

    .item-list {
      input[type="checkbox"] {
        height: 18px;
      }
    }

    div.attributes-traits {
      align-items: flex-start;
      margin: 0;
      overflow-y: hidden;
    }

    /* Inventory List Filters */
    .inventory-filters {
      flex: 0;

      h3,
      .filter-title {
        .modesto();
        color: var(--pf1-olive);
        font-size: var(--font-size-24);
        margin: 0;
      }
    }

    &.inventory {
      footer {
        display: flex;
        flex-flow: row wrap;
        gap: 3px;

        .inventory-tags,
        .carry-bonus {
          flex: 1;
          align-self: center;
        }

        .inventory-tags {
          justify-content: flex-end;
        }

        .carry-capacity,
        .lift {
          flex: 1 100%;
        }
      }
    }

    .carry-label {
      flex: 0 0 24px;
    }

    .carry-bonus {
      label {
        flex: 0;
        margin-left: 8px;
        text-align: right;
        line-height: 20px;
        color: var(--pf1-tan);
        white-space: nowrap;
      }
      input[type="text"],
      span.text-box {
        height: 20px;
        flex: 0 0 48px;
        text-align: center;
        margin-left: 8px;
        border-bottom: var(--pf1-border-groove);
      }
    }

    /* ----------------------------------------- */
    /*  Features                                 */
    /* ----------------------------------------- */

    section.feats-body {
      overflow-y: auto;
      .scrollbar();

      .feats-group {
        .item-detail.item-type {
          flex: 0 0 40px;
        }
      }
    }

    /* ----------------------------------------- */
    /*  Spellbook                                */
    /* ----------------------------------------- */

    a.rollable {
      display: inline-flex;
      gap: 2px;
    }

    /* ----------------------------------------- */
    /*  TinyMCE                                  */
    /* ----------------------------------------- */

    .editor {
      padding: 0 8px;
    }

    /* ----------------------------------------- */
    /*  Misc                                     */
    /* ----------------------------------------- */

    hr {
      margin: 2px 0;
      flex: 0;
    }

    &.actor-notes {
      overflow: hidden scroll;
      .scrollbar();

      .primary-content {
        flex: 1 0 320px;

        display: flex;

        .editor {
          flex: 1;
        }
      }
    }

    table {
      table-layout: fixed;
      overflow: hidden;

      &.ability-table {
        input[type="text"] {
          height: 20px;
        }
      }

      td {
        img {
          vertical-align: middle;
          margin-right: 2px;
        }
      }
    }

    .skill-lock-button {
      flex: 0;
      &:before {
        font-family: "Font Awesome 5 Free";
        font-weight: 900;
        content: "\f023";
        margin-right: 0.5em;
      }
      &.unlocked:before {
        content: "\f3c1";
      }
    }
  }
}

.locked {
  img.sheet-profile {
    max-height: 360px;
    max-width: 240px;
  }
}
